<?php
session_start();
include_once('config.php');
require_once LIBSDIR .'/variables.php';
require_once LIBSDIR .'/helpers.php';
require_once LIBSDIR .'/icons.php';
require_once SERVERDIR .'/auth.php';

requireLogIn();
?>

<!DOCTYPE html>
 <html>
    <!-- BEIGN HEAD -->
    <?php view('header', ['title' => 'Add Wallpaper']) ?>
    <!-- END HEAD -->
   <body>
    
     <!--  BEGIN NAVBAR  -->
     <?php view('navbar'); ?>
     <!--  END NAVBAR  -->

     <!--  BEGIN SUBNAVBAR  -->
     <?php view('subnavbar', ['title' => 'Add Wallpaper']) ?>
     <!--  END SUBNAVBAR  -->

     <div class="main-container" id="container">
    
      <!--  BEGIN SIDEBAR  -->
      <?php view('sidebar') ?>
      <!--  END SIDEBAR  -->
     
       <div id="content" class="main-content">
        <div class="layout-px-spacing">
              <!-- Start Content -->
               <div class="row layout-top-spacing">
                <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing">
                    <div class="row ml-1 mb-2">
                    <a href="manage_wallpapers.php" class="btn_back">
                        <h4 class="pull-left" style="font-size: 20px;color: #06bd8c">
                        <?= backIcon() ?> Back
                        </h4>
                    </a>
                    </div>
                    <div class="widget-content widget-content-area br-6">
                    <h3 class="">Add Wallpaper</h3>

                    <div id="alert-message"></div>

                    <div style="border-bottom: 1px solid #f1f2f3; margin-top: 20px; margin-bottom: 20px;"></div>
                    <form action="server/wallpapers.db.php" name="addedituser" id="form-addwallpaper" method="post" class="form form-horizontal" enctype="multipart/form-data" onSubmit="window.location.reload()">
                        <div class="row">
                        <div class="col-md-11">
                            <div class="platform-div">

                            <input type="hidden" name="addwallpaper">

                            <div class="form-group row mb-4">
                                <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">User :-</label>
                                <div class="col-xl-10 col-lg-9 col-sm-10 ">
                                <div class="col-md-12" style="padding: 0;">
                                    <select name="publisher_id" id="publisher_id" class="form-control col-md-7">
                                     
                                       <!-- </?php
                                         foreach(getAllUsers() as $user) {
                                           echo '<option id="'.$user['usr_name'].'" value="'.$user['usr_uniqueid'].'">'.$user['usr_fullname'].'</option>';
                                         }
                                       ?> -->
                                    </select>
                                </div>
                                </div>
                            </div>

                            <div class="form-group row mb-4">
                              <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">Wallpaper Name</label>
                              <div class="col-xl-10 col-lg-9 col-sm-10">
                                <input type="text" name="wallpaper_name" value="" placeholder="Ex: haland" class="form-control col-md-7">
                              </div>
                            </div>


                            <div class="form-group row mb-4">
                              <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">Links</label>
                              <div class="col-xl-10 col-lg-9 col-sm-10">
                                <textarea name="images_links" id="images_links" class="form-control col-md-7" placeholder="Ex: link1,link2,link3" required></textarea>
                              </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-sm-10">
                                <button type="submit" name="addwallpaper" id="addwallpaper" class="btn btn-primary mt-3 btn-color-1">Save</button>
                                </div>
                            </div>
                            </div>
                        </div>
                        </div>
                    </form>
                    </div>
                </div>
                </div>
              <!-- End Content -->         
        </div>
        <!--  BEIGN FOOTER -->
        <?php view('footer'); ?>
        <!--  END FOOTER -->
       </div>
      
     </div>
     <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
     <?php view('globalscript'); ?>
     <!-- END GLOBAL MANDATORY SCRIPTS -->

     <!-- type="text/javascript" -->
     <script>
       $(document).ready(function() {
          Wallpapers.addWallpaper(); 
          //$(".tagging").select2({tags: true });
       });
     </script>
   </body>
 </html>

 