<?php
session_start();
include_once('config.php');
require_once LIBSDIR .'/variables.php';
require_once LIBSDIR .'/helpers.php';
require_once LIBSDIR .'/icons.php';
require_once SERVERDIR .'/auth.php';

requireLogIn();

//echo "Index Page ".isCurrentLogedInAsAdmin();
?>

<!DOCTYPE html>
 <html>
    <!-- BEIGN HEAD -->
    <?php view('header', ['title' => 'Dashboard']) ?>
    <!-- END HEAD -->
   <body>
    
     <!--  BEGIN NAVBAR  -->
     <?php view('navbar') ?>
     <!--  END NAVBAR  -->

     <!--  BEGIN SUBNAVBAR  -->
     <?php view('subnavbar', ['hghg' => 'Dashboard']) ?>
     <!--  END SUBNAVBAR  -->
     <div class="main-container" id="container">
    
       <!--  BEGIN SIDEBAR  -->
       <?php view('sidebar') ?>
       <!--  END SIDEBAR  -->
     
       <div id="content" class="main-content">
        <div class="layout-px-spacing">
              <!-- Start Content -->
              <div class="row layout-top-spacing" id="result-statistics">
                <div id="loading-statistics"></div>              
            </div>

             <div class="row">
                <div class="col-lg-12">
                    <div class="container-fluid" style="padding-top: 20px; background: #FFF;border: 1px solid #dadce0;border-radius: 10px;">
                    <div class="col-lg-10">
                        <h3 style="font-weight: 900;">Users Analysis</h3>
                        <p style="font-weight: 200;">New registrations</p>
                    </div>
                    <div class="col-lg-2" style="padding-top: 20px">
                        <form method="get" id="graphFilter">
                        <select class="form-control" name="filterByYear" style="box-shadow: none;height: auto;border-radius: 8px;font-size: 16px;">
                            <option value="2022">2022</option>
                            <option value="2021">2021</option>
                            <option value="2020">2020</option>
                        </select>
                        </form>
                    </div>
                    <div class="col-lg-12">
                        <div id="registerChart">
                        <div style="position: relative;">
                            <div dir="ltr" style="position: relative; width: 1374px; height: 400px;">
                            <div aria-label="A chart." style="position: absolute; left: 0px; top: 0px; width: 100%; height: 100%;">
                                <svg width="1374" height="400" aria-label="A chart." style="overflow: hidden;">
                                <defs id="_ABSTRACT_RENDERER_ID_134">
                                    <clipPath id="_ABSTRACT_RENDERER_ID_135">
                                    <rect x="100" y="20" width="1274" height="247"></rect>
                                    </clipPath>
                                </defs>
                                <rect x="0" y="0" width="1374" height="400" stroke="none" stroke-width="0" fill="#ffffff"></rect>
                                <g>
                                    <rect x="100" y="20" width="1274" height="247" stroke="none" stroke-width="0" fill-opacity="0" fill="#ffffff"></rect>
                                    <g clip-path="url(https://demo.thivapro.com/HD_Wallpaper/wp-admin/home.php#_ABSTRACT_RENDERER_ID_135)">
                                    <g>
                                        <rect x="100" y="266" width="1274" height="1" stroke="none" stroke-width="0" fill="#cccccc"></rect>
                                        <rect x="100" y="143" width="1274" height="1" stroke="none" stroke-width="0" fill="#cccccc"></rect>
                                        <rect x="100" y="20" width="1274" height="1" stroke="none" stroke-width="0" fill="#cccccc"></rect>
                                        <rect x="100" y="241" width="1274" height="1" stroke="none" stroke-width="0" fill="#ebebeb"></rect>
                                        <rect x="100" y="217" width="1274" height="1" stroke="none" stroke-width="0" fill="#ebebeb"></rect>
                                        <rect x="100" y="192" width="1274" height="1" stroke="none" stroke-width="0" fill="#ebebeb"></rect>
                                        <rect x="100" y="168" width="1274" height="1" stroke="none" stroke-width="0" fill="#ebebeb"></rect>
                                        <rect x="100" y="118" width="1274" height="1" stroke="none" stroke-width="0" fill="#ebebeb"></rect>
                                        <rect x="100" y="94" width="1274" height="1" stroke="none" stroke-width="0" fill="#ebebeb"></rect>
                                        <rect x="100" y="69" width="1274" height="1" stroke="none" stroke-width="0" fill="#ebebeb"></rect>
                                        <rect x="100" y="45" width="1274" height="1" stroke="none" stroke-width="0" fill="#ebebeb"></rect>
                                    </g>
                                    <g>
                                        <rect x="100" y="266" width="1274" height="1" stroke="none" stroke-width="0" fill="#333333"></rect>
                                    </g>
                                    <g>
                                        <path d="M312.66666666666663,266.5C312.66666666666663,266.5,595.5555555555555,164.0000000000041,737,143.5C878.4444444444443,122.99999999995899,1161.3333333333333,143.5,1161.3333333333333,143.5" stroke="#2196f3" stroke-width="4" fill-opacity="1" fill="none"></path>
                                    </g>
                                    </g>
                                    <g>
                                    <circle cx="312.66666666666663" cy="266.5" r="3.5" stroke="none" stroke-width="0" fill="#2196f3"></circle>
                                    <circle cx="737" cy="143.5" r="3.5" stroke="none" stroke-width="0" fill="#2196f3"></circle>
                                    <circle cx="1161.3333333333333" cy="143.5" r="3.5" stroke="none" stroke-width="0" fill="#2196f3"></circle>
                                    </g>
                                    <g>
                                    <g>
                                        <text text-anchor="middle" x="312.66666666666663" y="288.75" font-family="Arial" font-size="15" stroke="none" stroke-width="0" fill="#222222">Jan</text>
                                    </g>
                                    <g>
                                        <text text-anchor="middle" x="737" y="288.75" font-family="Arial" font-size="15" stroke="none" stroke-width="0" fill="#222222">Feb</text>
                                    </g>
                                    <g>
                                        <text text-anchor="middle" x="1161.3333333333333" y="288.75" font-family="Arial" font-size="15" stroke="none" stroke-width="0" fill="#222222">Mar</text>
                                    </g>
                                    <g>
                                        <text text-anchor="end" x="85" y="271.75" font-family="Arial" font-size="15" stroke="none" stroke-width="0" fill="#444444">0</text>
                                    </g>
                                    <g>
                                        <text text-anchor="end" x="85" y="148.75" font-family="Arial" font-size="15" stroke="none" stroke-width="0" fill="#444444">1</text>
                                    </g>
                                    <g>
                                        <text text-anchor="end" x="85" y="25.75" font-family="Arial" font-size="15" stroke="none" stroke-width="0" fill="#444444">2</text>
                                    </g>
                                    </g>
                                </g>
                                <g>
                                    <g>
                                    <text text-anchor="middle" x="737" y="350.75" font-family="Arial" font-size="15" font-weight="bold" stroke="none" stroke-width="0" fill="#000000">Months of 2022</text>
                                    <rect x="100" y="338" width="1274" height="15" stroke="none" stroke-width="0" fill-opacity="0" fill="#ffffff"></rect>
                                    </g>
                                    <g>
                                    <text text-anchor="middle" x="43.25" y="143.5" font-family="Arial" font-size="15" font-weight="bold" transform="rotate(-90 43.25 143.5)" stroke="none" stroke-width="0" fill="#000000">Nos of Users</text>
                                    <path d="M30.49999999999999,267L30.500000000000007,20.000000000000004L45.50000000000001,20.000000000000004L45.49999999999999,267Z" stroke="none" stroke-width="0" fill-opacity="0" fill="#ffffff"></path>
                                    </g>
                                </g>
                                <g></g>
                                </svg>
                            </div>
                            </div>
                            <div aria-hidden="true" style="display: none; position: absolute; top: 410px; left: 1384px; white-space: nowrap; font-family: Arial; font-size: 15px;">2</div>
                            <div></div>
                        </div>
                        </div>
                    </div>
                    </div>
                </div>
                </div>
              <!-- End Content -->         
        </div>
        <!--  BEIGN FOOTER -->
        <?php view('footer') ?>
        <!--  END FOOTER -->
       </div>
      
     </div>

     <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
     <?php view('globalscript') ?>
     <!-- END GLOBAL MANDATORY SCRIPTS -->

     <script>
         $(document).ready(function(){
            Statistics.initialize();
         });
     </script>
   </body>
 </html>