<?php
session_start();

include_once('config.php');
require_once LIBSDIR .'/variables.php';
require_once LIBSDIR .'/helpers.php';
require_once LIBSDIR .'/icons.php';
require_once SERVERDIR .'/auth.php';

requireLogIn();

?>

<!DOCTYPE html>
 <html>
    <!-- BEIGN HEAD -->
    <?php view('header', ['title' => 'Manage Profile']) ?>
    <!-- END HEAD -->
   <body>
    
     <!--  BEGIN NAVBAR  -->
     <?php view('navbar') ?>
     <!--  END NAVBAR  -->

     <!--  BEGIN SUBNAVBAR  -->
     <?php view('subnavbar', ['title' => 'Manage Profile']) ?>
     <!--  END SUBNAVBAR  -->
     <div class="main-container" id="container">
    
       <!--  BEGIN SIDEBAR  -->
       <?php view('sidebar') ?>
       <!--  END SIDEBAR  -->
     
       <div id="content" class="main-content">
        <div class="layout-px-spacing">
              <!-- Start Content -->
              <?php view('profileRow') ?>
              <!-- End Content -->         
        </div>
        <!--  BEIGN FOOTER -->
        <?php view("footer"); ?>
        <!--  END FOOTER -->
       </div>
      
     </div>
     <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
     <?php view('globalscript') ?>
     <!-- END GLOBAL MANDATORY SCRIPTS -->
    <script>
        $(document).ready(function() {
            //adsSettings();

            // ActiveTab 
            $('a[data-toggle="tab"]').on('show.bs.tab', function(e) {
            localStorage.setItem('activeTab', $(e.target).attr('href'));
                document.title = $(this).text()+" | HD Wallpaper ";
            });
            
            var activeTab = localStorage.getItem('activeTab');
            if(activeTab){
                $('.nav-tabs a[href="' + activeTab + '"]').tab('show');
            }
        });
        
    </script> 
     <!--===============================================================================================-->
   </body>
 </html>