<?php
session_start();

include_once('config.php');
require_once LIBSDIR .'/variables.php';
require_once LIBSDIR .'/helpers.php';
require_once LIBSDIR .'/icons.php';
require_once SERVERDIR .'/auth.php';

requireLogIn();

?>

<!DOCTYPE html>
 <html>
    <!-- BEIGN HEAD -->
    <?php view('header', ['title' => 'Push Notification']) ?>
    <!-- END HEAD -->
   <body>
    
     <!--  BEGIN NAVBAR  -->
     <?php view('navbar') ?>
     <!--  END NAVBAR  -->

     <!--  BEGIN SUBNAVBAR  -->
     <?php view('subnavbar', ['title' => 'Push Notification']) ?>
     <!--  END SUBNAVBAR  -->
     <div class="main-container" id="container">
    
       <!--  BEGIN SIDEBAR  -->
       <?php view('sidebar') ?>
       <!--  END SIDEBAR  -->
     
       <div id="content" class="main-content">
         <div class="layout-px-spacing">
              <!-- Start Content -->
               <?= view('notificationRow') ?>
               <div class="row layout-top-spacing d-none">

                <div class="col-xl-12 col-lg-12 col-md-12 col-12 layout-spacing d-none">
                    <div class="widget-content widget-content-area br-6">
                    <h3 class="">Push Notification</h3>
                    <div style="border-bottom: 1px solid #f1f2f3; margin-top: 20px; margin-bottom: 20px;"></div>
                    <form action="<?php $_SERVER['PHP_SELF'] ?>" name="push" method="post" class="form form-horizontal" enctype="multipart/form-data">
                        <div class="row">
                        <div class="col-md-11">
                            <div class="platform-div">

                            <div class="form-group row mb-4">
                              <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">Title</label>
                              <div class="col-xl-10 col-lg-9 col-sm-10">
                                <input type="text" name="title" value="" placeholder="" class="form-control col-md-7" required>
                              </div>
                            </div>

                            <div class="form-group row mb-4">
                              <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">Image URL</label>
                              <div class="col-xl-10 col-lg-9 col-sm-10">
                                <input type="text" name="url" value="" placeholder="" class="form-control col-md-7">
                              </div>
                            </div>

                            <div class="form-group row mb-4">
                              <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">Message</label>
                              <div class="col-xl-10 col-lg-9 col-sm-10">
                                <textarea name="message" id="message" class="form-control col-md-7" placeholder="" required></textarea>
                              </div>
                            </div>
                  
                            <div class="form-group row">
                                <div class="col-sm-10">
                                <button type="submit" name="submit" id="submit" class="btn btn-primary mt-3 btn-color-1">Send Notification</button>
                                </div>
                            </div>
                            </div>
                        </div>
                        </div>
                    </form>
                    </div>
                </div>
                </div>
              <!-- End Content -->         
          </div>
        <!--  BEIGN FOOTER -->
        <?php view('footer'); ?>
        <!--  END FOOTER -->
       </div>
      
     </div>
     <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
     <?php view('globalscript') ?>
     <!-- END GLOBAL MANDATORY SCRIPTS -->
   </body>
 </html>