<?php

session_start();
include_once('../config.php');
$pdo = require_once  SERVERDIR .'/database.php';
require_once SERVERDIR .'/auth.php';
require_once LIBSDIR .'/variables.php';

const MESSAGES = [
    'UPDATE_SETTING_FAILED' => 'Update faied.',
    'UPDATE_SETTING_SUCCESS' => 'Congurations, your account has been successfuly created.'
];

if(isPostRequest()) {
    if(isset($_REQUEST['query'])) {
        switch($_REQUEST['query']) {
            case 'fetchSettings':
                
                break;
            case 'updatePrivacyPolicy':
                
                break;
            case 'updateFcmKey':
                if(isset($_REQUEST['fcm_key']) && !empty($_REQUEST['fcm_key'])) {
                    $fcmKey = string_strip(['request' => 'fcm_key']);
                    updateFcmServerKey();
                }
                break;
        }
    }
}

function getFcmServerKey($id) {
    global $pdo;
    if(isCurrentLogedInAsAdmin()) {

    }
    $sql = "SELECT fcm_key FROM `tb_settings`"; 
    $stmt = $pdo->prepare($sql);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
    $stmt->closeCursor();
    return $row;

}

function updateFcmServerKey() {
    global $pdo, $fcmKey, $isAdmin, $msg;
    if(isCurrentLogedInAsAdmin()) {
        if(checkUserExists()) {
            $sql = "UPDATE `tb_settings` SET fcm_key = :fcm_key, created_at = now()";
            $stmt = $pdo->prepare($sql);
            $stmt->bindValue(':fcm_key', $fcmKey, PDO::PARAM_STR);
            $updateSet = $stmt->execute() ? true : false;
            $msg = MESSAGES['DELETE_SUCCESS'];
        } else {
            $updateSet = false;
            $msg = MESSAGES['DELETE_FAILED'];
        }
        $isAdmin = true;
    } else {
        $isAdmin = false;
        $updateSet = false;
        $msg = MESSAGES['NO_ADMIN'];
    }
    print json_encode(array('admin' => $isAdmin, 'success' => $updateSet, 'msg' => $msg), JSON_PRETTY_PRINT);
}

function isAdminLogedIn() {
    global $pdo;

    $sql = "SELECT username, identifier FROM `tb_users` WHERE username = " .$_SESSION['username']. "AND level = 1"; 
    $stmt = $pdo->prepare($sql);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
    $stmt->closeCursor();

    if($row == 1) {
        print 'Admin available';
    } else {
        print 'Admin unavailable';
    }
    //return $row;
}

?>