<?php
//session_start([ 'cookie_secure' => true,'cookie_httponly' => true]);
//session_start();

function redirect_to(string $path): void {
    header("Location: ".$path);
}

function isPostRequest(): bool {
    return strtoupper($_SERVER['REQUEST_METHOD']) === 'POST';
}

function isGetRequest(): bool {
    return strtoupper($_SERVER['REQUEST_METHOD']) === 'GET'; 
}

function escape($input) {
    return stripslashes(trim($_REQUEST[$input]));
}

function stripTags($input, $type) {
    $trim = $type == 'GET' ? $_GET[$input] : $_POST['POST'];
    return strip_tags(trim($trim));
}

function string_strip(array $type = []) {
    foreach($type as $key => $value) {
        $$key = $value;
    }
    if(isset($request) || isset($REQUEST)) {
        $value = $request ? $request : $REQUEST;
        $resultType = $_REQUEST[$value];
    } elseif(isset($get) || isset($GET)) {
        $value = $get ? $get : $GET;
        $resultType = $_GET[$value];
    } elseif(isset($post) || isset($POST)) {
        $value = $post ? $post : $POST;
        $resultType = $_POST[$value];
    }
    return strip_tags(trim($resultType));
}

function isNotEmpty($input) {
    return !empty($input);
}

function ischeck($condition = array()) {
    foreach($condition as $cond) {
        if($_POST[$cond] && !empty($_POST[$cond])) {
            
        }
    }
}

function waitForSec($sec): int {
  $i = 1;
  $last_time = $_SERVER['REQUEST_TIME'];
  while($i > 0){
      $total = $_SERVER['REQUEST_TIME'] - $last_time;
      if($total >= 2){
          return 1;
          $i = -1;
      }
  }
}

function genRandomNumber($length = 15, $formatted = true) {
    $nums = '0123456789';

   // First number shouldn't be zero
    $out = $nums[mt_rand( 1, strlen($nums)-1 )];  

   // Add random numbers to your string
    for ($p = 0; $p < $length-1; $p++)
        $out .= $nums[mt_rand( 0, strlen($nums)-1 )];

  // Format the output with commas if needed, otherwise plain output
    if ($formatted)
        return number_format($out);
    return $out;
}

/**
 * @param string $url
 * @return int
 */
function getHttpResponseCode(string $url): int
{
    $headers = get_headers($url);
    return substr($headers[0], 9, 3);
}

function thousandsCurrencyFormat($size,$round=2) {
    $unit=['', 'K', 'M', 'B', 'T'];
    return $size > 0 ? round($size/pow(1000,($i=floor(log($size,1000)))),$round).$unit[$i] : 0;
}


  /**
 * Checks if a folder exist and return canonicalized absolute pathname (sort version)
 * @param string $folder the path being checked.
 * @return mixed returns the canonicalized absolute pathname on success otherwise FALSE is returned
 */
function folder_exist($folder)
{
    // Get canonicalized absolute pathname
    $path = realpath($folder);

    // If it exist, check if it's a directory
    return ($path !== false AND is_dir($path)) ? $path : false;
}

?>