<?php
session_start();

include_once('config.php');
require_once LIBSDIR .'/variables.php';
require_once LIBSDIR .'/helpers.php';
require_once LIBSDIR .'/icons.php';
require_once SERVERDIR .'/auth.php';

requireLogIn();
?>

<!DOCTYPE html>
 <html>
    <!-- BEIGN HEAD -->
    <?php view('header', ['title' => 'Manage Reports']) ?>
    <!-- END HEAD -->
   <body>
    
     <!--  BEGIN NAVBAR  -->
     <?php view('navbar') ?>
     <!--  END NAVBAR  -->

     <!--  BEGIN SUBNAVBAR  -->
     <?php view('subnavbar', ['title' => 'Manage Reports']) ?>
     <!--  END SUBNAVBAR  -->
     <div class="main-container" id="container">
    
       <!--  BEGIN SIDEBAR  -->
       <?php view('sidebar') ?>
       <!--  END SIDEBAR  -->
     
       <div id="content" class="main-content">
        <div class="layout-px-spacing">
              <!-- Start Content -->
              <div class="row layout-spacing mt-3">
                <div class="col-lg-12">
                    <div class="widget-content widget-content-area">
                    <div class="row">
                        <div class="col-6">
                        <h3 class="">Manage Reports</h3>
                        </div>
                    </div>
                    <div style="border-bottom: 1px solid #f1f2f3; margin-top: 20px; margin-bottom: 20px;"></div>

                    <div class="row">

                        <?php view('reportsRow') ?>

                        <div id="reports-loading" class="container text-center"></div>

                        <div class="col-md-12 col-xs-12">
                        <div class="paginating-container pagination-default" id="reports-pagination"></div>
                        </div>

                    </div>

                    </div>
                </div>
                </div>
             
              <!-- End Content -->         
        </div>
        <!--  BEIGN FOOTER -->
        <?php view('footer') ?>
        <!--  END FOOTER -->
       </div>
      
     </div>
     <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
     <?php view('globalscript') ?>
     <!-- END GLOBAL MANDATORY SCRIPTS -->
     <script>
        $(document).ready(function() {
          Api.getReports(1, 12); 
        });
     </script>
   </body>
 </html>