<?php
require_once __DIR__ . '/../config.php';


function conncet($host, $db, $usr, $password) {
    $dsn = "mysql:host=$host;dbname=$db;charset=UTF8";

    try {
        $options = [PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION];
        return new PDO($dsn, $usr, $password, $options);
    } catch(PDOException $e) {
        die($e->getMessage());
    }
}

return conncet(DATABASE_CONFIG['DB_HOST'], DATABASE_CONFIG['DB_NAME'], DATABASE_CONFIG['DB_USERNAME'], DATABASE_CONFIG['DB_PASSWORD'])

?>