<?php
$protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
$path = $protocol.$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']);
$api = $path .  "/server/api/v1/";
?>

<div class="modal" id="delete-token-modal">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">

          <!-- Modal Header -->
          <div class="modal-header">
            <h4 class="modal-title">Delete Access Token</h4>
            <button type="button" class="close" data-dismiss="modal">&times;</button>
          </div>

          <!-- Modal body -->
          <div class="modal-body">
            <form action="" id="delete-form">
                <input class="form-control" type="hidden" name="id">

                  <p>Are you sure to want to delete the access-token?</p>

                  <div class="modal-footer">
                  <button type="button" class="btn btn-danger" id="btnDeleteTokenSubmit">Yes</button>
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                </div>
            </form>
          </div>
      </div>
    </div>
</div>

<div class="account-settings-container layout-top-spacing">
  <div class="account-content">
    <div class="scrollspy-example" data-spy="scroll" data-target="#account-settings-scroll" data-offset="-100">
      <div class="row">
        <div class="col-xl-12 col-lg-12 col-md-12 layout-spacing">
          <div class="widget-content widget-content-area br-6">
            <h5 class="">Settings</h5>
            <div style="border-bottom: 1px solid #f1f2f3; margin-top: 20px;"></div>
            <div class="row">
              <div class="col-md-12">
                <ul class="nav nav-tabs  mb-3" id="animateLine" role="tablist">
                  <li class="nav-item">
                  
                    <a class="nav-link active" id="api_server-tab" data-toggle="tab" href="#api_server" role="tab" aria-controls="api_server" aria-selected="true">
                    <?= linkIcon() ?> API Server </a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" id="animated-underline-monetization-tab" data-toggle="tab" href="#animated-underline-monetization" role="tab" aria-controls="animated-underline-monetization" aria-selected="true">
                      <?= monetizationIcon() ?> Monetization Manager </a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" id="animated-underline-fcm-push-tab" data-toggle="tab" href="#animated-underline-fcm-push" role="tab" aria-controls="animated-underline-fcm-push" aria-selected="true">
                      <?= sendIcon() ?> Notification Settings </a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" id="privacy_policy-tab" data-toggle="tab" href="#privacy_policy" role="tab" aria-controls="privacy_policy" aria-selected="true">
                      <?= shieldIocn() ?> Privacy Policy </a>
                  </li>
                  <li class="nav-item d-none">
                    <a class="nav-link" id="admob_settings-tab" data-toggle="tab" href="#admob_settings" role="tab" aria-controls="admob_settings" aria-selected="false">
                      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-slack">
                        <path d="M14.5 10c-.83 0-1.5-.67-1.5-1.5v-5c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5v5c0 .83-.67 1.5-1.5 1.5z"></path>
                        <path d="M20.5 10H19V8.5c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5-.67 1.5-1.5 1.5z"></path>
                        <path d="M9.5 14c.83 0 1.5.67 1.5 1.5v5c0 .83-.67 1.5-1.5 1.5S8 21.33 8 20.5v-5c0-.83.67-1.5 1.5-1.5z"></path>
                        <path d="M3.5 14H5v1.5c0 .83-.67 1.5-1.5 1.5S2 16.33 2 15.5 2.67 14 3.5 14z"></path>
                        <path d="M14 14.5c0-.83.67-1.5 1.5-1.5h5c.83 0 1.5.67 1.5 1.5s-.67 1.5-1.5 1.5h-5c-.83 0-1.5-.67-1.5-1.5z"></path>
                        <path d="M15.5 19H14v1.5c0 .83.67 1.5 1.5 1.5s1.5-.67 1.5-1.5-.67-1.5-1.5-1.5z"></path>
                        <path d="M10 9.5C10 8.67 9.33 8 8.5 8h-5C2.67 8 2 8.67 2 9.5S2.67 11 3.5 11h5c.83 0 1.5-.67 1.5-1.5z"></path>
                        <path d="M8.5 5H10V3.5C10 2.67 9.33 2 8.5 2S7 2.67 7 3.5 7.67 5 8.5 5z"></path>
                      </svg> Ads Settings </a>
                  </li>
                </ul>
                <div class="tab-content" id="animateLineContent-4">
                  <!---------------------------------------------------------------------------------------------------------------------------->
                  <div class="tab-pane fade active show" id="api_server" role="tabpanel" aria-labelledby="api_server-tab">
                    <div style="border-bottom: 1px solid #ffffff; margin-top: 20px; margin-bottom: 20px;"></div>
                      <div class=" mt-2">
                        <div class="row">
                          <div class="col-sm-8 m-auto p-auto">
                            <h3 class="mr-1">API URL</h3>
                          </div>
                          <div class="col-sm-4 m-auto p-auto">
                            <div class="search_list m-auto p-auto">
                                
                            </div>
                          </div>
                        </div>
                      </div>
                      <div style="border-bottom: 1px solid #f1f2f3; margin-top: 20px; margin-bottom: 20px;"></div>

                      <div class="form-group row mb-4">
                        <div class="col-xl-12 col-lg-9 col-sm-12">
                            <div class="clipboard copy-txt">
                                <p class="mb-4"><!-- Link -&gt; --> API URL : <span id="api-url"><?php echo $api; ?></span>
                                </p>
                                <a class="mb-1 btn btn-primary" href="javascript:;" data-clipboard-action="copy" data-clipboard-target="#api-url">
                                    <?= copyIcon() ?> Copy API URL </a>
                                <br>
                             </div>
                        </div>
                      </div>
                      <div style="border-bottom: 1px solid #f1f2f3; margin-top: 20px; margin-bottom: 20px;"></div>
                      <div class=" mt-2">
                        <div class="row">
                          <div class="col-sm-8 m-auto p-auto">
                            <h3 class="mr-1">Access token</h3>
                          </div>
                          <div class="col-sm-4 m-auto p-auto">
                            <div class="search_list m-auto p-auto">
                                <a class="mb-1 btn btn-primary" href="javascript:;" id="generate-token">
                                    <?= refreshIcon() ?>  Generate new token 
                                </a>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div style="border-bottom: 1px solid #f1f2f3; margin-top: 20px; margin-bottom: 20px;"></div>
                      <div id="token-alert"></div>
                      <div class="form-group row mb-4">
                        
                        <div class="col-xl-12 col-lg-9 col-sm-12" id="access-token-result">
                        </div>
                      </div>
                  
                  </div>

                  <!---------------------------------------------------------------------------------------------------------------------------->
                  <div class="tab-pane fade" id="animated-underline-monetization" role="tabpanel" aria-labelledby="animated-underline-monetization-tab">
                    <form action="server/monetization.db.php" name="setting_monetization" method="post" class="form form-horizontal" enctype="multipart/form-data" id="monetization-form">
                      
                    <div style="border-bottom: 1px solid #ffffff; margin-top: 20px; margin-bottom: 20px;"></div>
                    <div id="monetization-alert"></div>

                    <div class="form-group">
                       <div class="col-sm-8">
                        <div class="form-line">
                        <div class="input-group">
                            <div class="font-12">Ad Enabled Status </div>
                            <div class="space" style="width: 5px;"></div>
                            <div class="status-icon" > <?=circleIcon("#73EA00");?></div> 
                        </div>
                       
                        <select name="ad_enabled_status" id="ad_enabled_status" class="form-control">
                            <option value="on">ON</option>
                            <option value="off">OFF</option>
                          </select>  
                        </div>
                       </div>
                      </div>

                      <div class="form-group">
                       <div class="col-sm-8">
                        <div class="form-line">
                        <div class="font-12">Primary Audience Network</div>
                        <select name="ad_network" id="ad_network" class="form-control">
                            <option value="admob">Admob</option>
                            <option value="unity">Unity</option>
                          </select>  
                        </div>
                       </div>
                      </div>

                      <div id="admob-units">

                       <div class="form-group d-none">
                         <div class="col-xl-8 col-lg-8 col-sm-9">
                          <div class="form-line">
                          <div class="font-12">AdMob Publisher ID</div>
                          <input type="text" name="publisher_id" id="publisher_id" value="ca-app-pub-3940256099942544" class="form-control">                          
                        </div>
                        </div>
                        </div>

                        <div class="form-group">
                         <div class="col-xl-8 col-lg-8 col-sm-9">
                          <div class="form-line">
                          <div class="font-12">AdMob Banner Ad Unit ID</div>
                          <input type="text" class="form-control" name="admob_banner_unit_id" id="admob_banner_unit_id" value="ca-app-pub-3940256099942544/6300978111" required="">
                          </div>
                        </div>
                        </div>

                        <div class="form-group">
                        <div class="col-sm-8">
                          <div class="form-line">
                            <div class="font-12">AdMob Native Ad Unit ID</div>
                            <input type="text" class="form-control" name="admob_native_unit_id" id="admob_native_unit_id" value="ca-app-pub-3940256099942544/2247696110" required="">
                            </div>
                          </div>
                        </div>
                                  

                        <div class="form-group">
                        <div class="col-sm-8">
                          <div class="form-line">
                            <div class="font-12">AdMob Interstitial Ad Unit ID</div>
                            <input type="text" class="form-control" name="admob_interstitial_unit_id" id="admob_interstitial_unit_id" value="ca-app-pub-3940256099942544/1033173712" required="">
                            </div>
                          </div>
                        </div>


                        <div class="form-group">
                        <div class="col-sm-8">
                          <div class="form-line">
                            <div class="font-12">Rewarded Ad Unit ID</div>
                            <input type="text" class="form-control" name="admob_rewarded_unit_id" id="admob_rewarded_unit_id" value="ca-app-pub-3940256099942544/1033173712" required="">
                            </div>
                          </div>
                        </div>

                        <div class="form-group">
                        <div class="col-sm-8">
                          <div class="form-line">
                            <div class="font-12">AdMob App Open Ad Unit ID</div>
                            <input type="text" class="form-control" name="admob_app_open_unit_id" id="admob_app_open_unit_id" value="ca-app-pub-3940256099942544/3419835294" required="">
                            </div>
                          </div>
                        </div>

                      </div>

                      <div id="unity-units" class="d-none">

                        <div class="form-group">
                         <div class="col-sm-8">
                          <div class="form-line">
                            <div class="font-12">Unity Game ID</div>
                            <input type="text" class="form-control" name="unity_game_id" id="unity_game_id" value="1234567" required="">
                            </div>
                          </div>
                        </div>

                        <div class="form-group">
                         <div class="col-xl-8 col-lg-8 col-sm-9">
                          <div class="form-line">
                          <div class="font-12">Unity Banner Ad Unit ID</div>
                          <input type="text" class="form-control" name="unity_banner_unit_id" id="unity_banner_unit_id" value="Banner_iOS" required="">
                          </div>
                        </div>
                        </div> 

                        <div class="form-group">
                        <div class="col-sm-8">
                          <div class="form-line">
                            <div class="font-12">Unity Interstitial Ad Unit ID</div>
                            <input type="text" class="form-control" name="unity_interstitial_unit_id" id="unity_interstitial_unit_id" value="Interstitial_iOS" required="">
                            </div>
                          </div>
                        </div>

                        <div class="form-group">
                        <div class="col-sm-8">
                          <div class="form-line">
                            <div class="font-12">Unity Rewarded Ad Unit ID</div>
                            <input type="text" class="form-control" name="unity_rewarded_unit_id" id="unity_rewarded_unit_id" value="Rewarded_iOS" required="">
                            </div>
                          </div>
                        </div>

                      </div>

                      <div class="form-group">
                          <div class="col-sm-8">
                              <div class="form-line">
                                  <div class="font-12">Interstitial Ad Interval</div>
                                  <input type="number" class="form-control" name="interstitial_ad_interval" id="interstitial_ad_interval" value="3" required="">
                              </div>
                          </div>    
                      </div>
                      
                      <div class="form-group">
                          <div class="col-sm-8">
                              <div class="form-line">
                                  <div class="font-12">Scrolling Ad Interval</div>
                                  <input type="number" class="form-control" name="scrolling_ad_interval" id="scrolling_ad_interval" value="5" required="">
                              </div>
                          </div>    
                      </div>

                      <div class="form-group row">
                        <div class="col-sm-10">
                          <button type="submit" name="monetization_submit" id="monetization_update" class="btn btn-primary mt-3">Update</button>
                        </div>
                      </div>
                    </form>
                  </div>
                  <!---------------------------------------------------------------------------------------------------------------------------->
                  <div class="tab-pane fade" id="animated-underline-fcm-push" role="tabpanel" aria-labelledby="animated-underline-fcm-push-tab">
                    <form action="server/fcm.db.php" name="setting_fcm_push" method="post" class="form form-horizontal" enctype="multipart/form-data" id="fcm_push_form">
                      <div class="form-group row mb-4 d-none">
                        <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">FCM App ID</label>
                        <div class="col-xl-10 col-lg-9 col-sm-10">
                          <input type="text" name="onesignal_app_id" id="onesignal_app_id" value="" class="form-control col-md-7">
                        </div>
                      </div>
                      <div id="fcm-alert"></div>
                      <div class="form-group row mb-4">
                        <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">FCM Server Key</label>
                        <div class="col-xl-10 col-lg-9 col-sm-10">
                          <input type="text" name="fcm_server_key" id="fcm_server_key" value="" class="form-control col-md-7">
                        </div>
                      </div>
                      <div class="form-group row">
                        <div class="col-sm-10">
                          <button type="submit" name="notification_submit" id="fcm_push_update" class="btn btn-primary mt-3">Update</button>
                        </div>
                      </div>
                    </form>
                  </div>
                  <!---------------------------------------------------------------------------------------------------------------------------->
                  <div class="tab-pane fade d-none" id="app_about" role="tabpanel" aria-labelledby="app_about-tab">
                    <form action="" name="settings_about" method="post" class="form form-horizontal" enctype="multipart/form-data">
                      <div class="form-group row mb-4">
                        <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">App Version :-</label>
                        <div class="col-xl-10 col-lg-9 col-sm-10">
                          <input type="text" name="app_version" id="app_version" value="1.0.0" class="form-control col-md-7">
                        </div>
                      </div>
                      <div class="form-group row mb-4">
                        <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">Author :-</label>
                        <div class="col-xl-10 col-lg-9 col-sm-10">
                          <input type="text" name="app_author" id="app_author" value="nemosofts" class="form-control col-md-7">
                        </div>
                      </div>
                      <div class="form-group row mb-4">
                        <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">Contact :-</label>
                        <div class="col-xl-10 col-lg-9 col-sm-10">
                          <input type="text" name="app_email" id="app_email" value="info.nemosofts@gmail.com" class="form-control col-md-7">
                        </div>
                      </div>
                      <div class="form-group row mb-4">
                        <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">Email :-</label>
                        <div class="col-xl-10 col-lg-9 col-sm-10">
                          <input type="text" name="app_email" id="app_email" value="info.nemosofts@gmail.com" class="form-control col-md-7">
                        </div>
                      </div>
                      <div class="form-group row mb-4">
                        <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">Website :-</label>
                        <div class="col-xl-10 col-lg-9 col-sm-10">
                          <input type="text" name="app_website" id="app_website" value="http://nemosofts.com/" class="form-control col-md-7">
                        </div>
                      </div>
                      <div class="form-group row mb-4">
                        <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">Developed By :-</label>
                        <div class="col-xl-10 col-lg-9 col-sm-10">
                          <input type="text" name="app_developed_by" id="app_developed_by" value="thivakaran" class="form-control col-md-7">
                        </div>
                      </div>
                      <div class="form-group row mb-4">
                        <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">App Description :-</label>
                        <div class="col-xl-10 col-lg-9 col-sm-10">
                          <div class="col-md-7" style="padding: 0px;">

                            <textarea name="app_description" id="app_description" class="form-control" style="visibility: hidden; display: none;">&lt;p&gt;nemosofts built the Nemosofts App app as a Free app. This SERVICE is provided by nemosofts at no cost and is intended for use as is.&lt;/p&gt;
                            </textarea>

                            <script>
                              CKEDITOR.replace('app_description');
                            </script>
                          </div>
                        </div>
                      </div>
                      <div class="form-group row">
                        <div class="col-sm-10">
                          <button type="submit" name="submit_about" class="btn btn-primary mt-3">Save</button>
                        </div>
                      </div>
                    </form>
                  </div>
                  <!---------------------------------------------------------------------------------------------------------------------------->
                  <div class="tab-pane fade" id="push_fcm" role="tabpanel" aria-labelledby="push_fcm-tab">
                    <form action="" name="settings_firebase" method="post" class="form form-horizontal" enctype="multipart/form-data">
                      <div class="form-group row mb-4">
                        <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">Title :-</label>
                        <div class="col-xl-10 col-lg-9 col-sm-10">
                          <input type="text" name="push_title" id="push_title" value="" class="form-control col-md-7">
                        </div>
                      </div>
                  
                      <div class="form-group row mb-4">
                        <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">Text Message :-</label>
                        <div class="col-xl-10 col-lg-9 col-sm-10">
                          <div class="col-md-7" style="padding: 0px;">

                            <textarea name="push_text" id="push_text" class="form-control" style="visibility: hidden; display: none;">&lt;p&gt;nemosofts built the Nemosofts App app as a Free app. This SERVICE is provided by nemosofts at no cost and is intended for use as is.&lt;/p&gt;
                            </textarea>

                          </div>
                        </div>
                      </div>

                      <div class="form-group row mb-4">
                        <label class="col-xl-2 col-sm-3 col-sm-2 col-form-label">Image :-</label>
                        <div class="col-xl-10 col-lg-9 col-sm-10">
                          <input type="text" name="push_image" id="push_image" value="" class="form-control col-md-7">
                        </div>
                      </div>

                      <div class="form-group row">
                        <div class="col-sm-10">
                          <button type="submit" name="submit_about" class="btn btn-primary mt-3">Save</button>
                        </div>
                      </div>
                    </form>
                  </div>
                  <!---------------------------------------------------------------------------------------------------------------------------->
                  <div class="tab-pane fade" id="privacy_policy" role="tabpanel" aria-labelledby="privacy_policy-tab">
                    <form action="server/condition.db.php" name="settings_policy" method="post" class="form form-horizontal" enctype="multipart/form-data" id="privacy_form">
                      <div class="form-group">
                        <div class="col-md-12">
                          <div class="clipboard copy-txt">

                          <p class="mb-4">App Privacy Policy URL -&gt; <span id="privacy-paragraph"><a href="<?= $path ?>/privacy_policy.php" target="_blank"><?= $path ?>/privacy_policy.php</a></span>
                            </p>
                            <a class="mb-1 btn btn-primary" href="javascript:;" data-clipboard-action="copy" data-clipboard-target="#privacy-paragraph">
                              <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-copy">
                                <rect x="9" y="9" width="13" height="13" rx="2" ry="2"></rect>
                                <path d="M5 15H4a2 2 0 0 1-2-2V4a2 2 0 0 1 2-2h9a2 2 0 0 1 2 2v1"></path>
                              </svg> Copy Link </a>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-12">
                        <textarea name="app_privacy_policy" id="app_privacy_policy" class="form-control" style="visibility: hidden; display: none;">
                          
                        </textarea>
                        
                        <script>
                          CKEDITOR.replace('app_privacy_policy');
                        </script>
                      </div>
                      <div class="form-group row">
                        <div class="col-sm-10">
                          <button type="submit" name="submit_policy" id="privacy-update" class="btn btn-primary mt-3">Update</button>
                        </div>
                      </div>
                    </form>
                  </div>
                 
                  <!---------------------------------------------------------------------------------------------------------------------------->
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>